Loading...
Searching...
No Matches
Opm::BlackoilWellModelGasLift< TypeTag > Class Template Reference

Class for handling the gaslift in the blackoil well model. More...

`#include <BlackoilWellModelGasLift.hpp>`

Inheritance diagram for Opm::BlackoilWellModelGasLift< TypeTag >:

## Public Types

using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | IndexTraits = typename FluidSystem::IndexTraitsType
using | Base = BlackoilWellModelGasLiftGeneric<Scalar, IndexTraits>
using | GLiftEclWells = typename GasLiftGroupInfo<Scalar, IndexTraits>::GLiftEclWells
using | GLiftOptWells = typename Base::GLiftOptWells
using | GLiftProdWells = typename Base::GLiftProdWells
using | GLiftSyncGroups = typename GasLiftSingleWellGeneric<Scalar, IndexTraits>::GLiftSyncGroups
using | GLiftWellStateMap = typename Base::GLiftWellStateMap
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | WellInterfacePtr = std::shared_ptr<WellInterface<TypeTag>>
using | WellStateType = WellState<Scalar, IndexTraits>
Public Types inherited from Opm::BlackoilWellModelGasLiftGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
using | GLiftOptWells
using | GLiftProdWells
using | GLiftWellStateMap
using | GLiftEclWells
using | GLiftSyncGroups

## Public Member Functions

| BlackoilWellModelGasLift (bool terminal_output)
bool | maybeDoGasLiftOptimize (const Simulator &simulator, const std::vector< WellInterfacePtr > &well_container, const std::map< std::string, Scalar > &node_pressures, const bool updatePotentials, WellStateType &wellState, GroupState< Scalar > &groupState, DeferredLogger &deferred_logger)
Public Member Functions inherited from Opm::BlackoilWellModelGasLiftGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
| BlackoilWellModelGasLiftGeneric (bool terminal_output)
void | gliftDebug (const std::string &msg, DeferredLogger &deferred_logger) const
bool | terminalOutput () const
void | serializeOp (Serializer &serializer)
bool | operator== (const BlackoilWellModelGasLiftGeneric &that) const

## Static Public Member Functions

static void | initGliftEclWellMap (const std::vector< WellInterfacePtr > &well_container, GLiftEclWells &ecl_well_map)

## Static Public Attributes

static constexpr bool | glift_debug
Static Public Attributes inherited from Opm::BlackoilWellModelGasLiftGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
static constexpr bool | glift_debug

## Additional Inherited Members

Protected Member Functions inherited from Opm::BlackoilWellModelGasLiftGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
void | gliftDebugShowALQ (const std::vector< WellInterfaceGeneric< Scalar, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType > * > &well_container, const WellState< Scalar, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType > &wellState, DeferredLogger &deferred_logger)

void

gasLiftOptimizationStage2 (const Parallel::Communication &comm, const Schedule &schedule, const SummaryState &summaryState, WellState< Scalar, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType > &wellState, GroupState< Scalar > &groupState, GLiftProdWells &prod_wells, GLiftOptWells &glift_wells, GasLiftGroupInfo< Scalar, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType > &group_info, GLiftWellStateMap &map, const int episodeIndex, DeferredLogger &deferred_logger)

Protected Attributes inherited from Opm::BlackoilWellModelGasLiftGeneric< GetPropType< TypeTag, Properties::Scalar >, GetPropType< TypeTag, Properties::FluidSystem >::IndexTraitsType >
bool | terminal_output_
double | last_glift_opt_time_

## Detailed Description

template<typename TypeTag>
class Opm::BlackoilWellModelGasLift< TypeTag >

Class for handling the gaslift in the blackoil well model.

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelGasLift.hpp
- opm/simulators/wells/BlackoilWellModelGasLift_impl.hpp